
.be-vietnam-pro-thin {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 100;
  font-style: normal;
}

.be-vietnam-pro-extralight {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 200;
  font-style: normal;
}

.be-vietnam-pro-light {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.be-vietnam-pro-regular {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.be-vietnam-pro-medium {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.be-vietnam-pro-semibold {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 600;
  font-style: normal;
}

.be-vietnam-pro-bold {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 700;
  font-style: normal;
}

.be-vietnam-pro-extrabold {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 800;
  font-style: normal;
}

.be-vietnam-pro-black {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 900;
  font-style: normal;
}

.be-vietnam-pro-thin-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 100;
  font-style: italic;
}

.be-vietnam-pro-extralight-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 200;
  font-style: italic;
}

.be-vietnam-pro-light-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 300;
  font-style: italic;
}

.be-vietnam-pro-regular-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 400;
  font-style: italic;
}

.be-vietnam-pro-medium-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 500;
  font-style: italic;
}

.be-vietnam-pro-semibold-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 600;
  font-style: italic;
}

.be-vietnam-pro-bold-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 700;
  font-style: italic;
}

.be-vietnam-pro-extrabold-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 800;
  font-style: italic;
}

.be-vietnam-pro-black-italic {
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 900;
  font-style: italic;
}

.arapey-regular {
  font-family: "Arapey", serif;
  font-weight: 400;
  font-style: normal;
}

.arapey-regular-italic {
  font-family: "Arapey", serif;
  font-weight: 400;
  font-style: italic;
}

html {
  box-sizing: border-box;
}
*, *:before, *:after {
  box-sizing: inherit;
}

body {
    background-color: #FFEDBF;
    font-family: "Be Vietnam Pro", "Arial", sans-serif;
    font-size: 10px;
    font-weight: 500;
    font-style: normal;
    color: #90640D;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
}

main{
    background-color: #FEF7F7;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    min-width: 300px;
    height: auto;
    padding: 15px;
    margin: 0 100px;
    border-radius: 45px;
}

footer{
  display: flex;
  justify-content: center;
  text-align: center;
  min-width: 300px;
  margin: 0 auto;
  padding: 15px; 
  font-size: 8px;
}

footer a{
  text-decoration: none;
  font-weight: 200;
  color: #90640D; 
  opacity: 1;
}

footer a:hover{
  text-decoration: none;
  opacity: 0.7;
}

header{
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 60px;
  margin-top: 30px;
  margin-bottom: 30px;
}

.pp img{
  width: 100%;
}

.title-pp {
  font-family: "Be Vietnam Pro", "Arial", sans-serif;
  font-weight: 200;
  font-style: normal;
  color: #90640D;
}

form {
  display: flex;
  flex-direction: column;
  flex-wrap: wrap;
  align-self: flex-end;
  width: 75%;
}

.footer-form{
  display: flex;
  flex-direction: row-reverse;
  align-items: center;
  margin-top: 5px;
}

textarea{
    width: 100%;
    padding: 12px;
    height: 120px;
    background-color: #FF3333;
    border-radius: 20px;
    border: none;
    font-family: "Be Vietnam Pro", "Arial", sans-serif;
    font-weight: 200;
    font-style: normal;
    resize: none; 
}

textarea, 
textarea::placeholder{
  font-family: "Be Vietnam Pro", sans-serif;
  font-weight: 300;
  font-style: normal;
  color: #FEF7F7;
  font-size: 10px;
}

textarea::placeholder{
  font-style: italic;
}


textarea:focus{
   outline-color: #90640D;
 
}

.add {
  width: 30px;
  height: 30px;
  border-radius: 50%;  
  background-color: #b5a278;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 5px;
  cursor: pointer;
  opacity: 1;
}

.add:hover{
  opacity: 0.7;
}
/* barre verticale */
.add::before,
.add::after {
  content: "";
  position: absolute;
  background-color: #fff;    /* couleur du + */        /* coins arrondis pour les barres */
  width: 4px;                /* épaisseur de la barre */
  height: 16px;                /* centre horizontalement */
}

/* barre verticale */
.add::before {
  transform: rotate(90deg);              /* longueur de la barre verticale */
}

/* barre horizontale */
.add::after {
  transform: rotate(180deg);               /* épaisseur de la barre horizontale */
}

button{
  appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none;
  border: none;
  outline: none;
  background: none;
  cursor: pointer;
}

button:focus {
    outline: none;
}

.icon-container {
  position: relative;
  width: 30px;
  height: 30px;
  padding: 0;
}

.icon-normal,
.icon-hover,
.icon-sent {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease;
}

.icon-normal {
  opacity: 1;
}

.icon-hover {
  opacity: 0;
}

.icon-container:hover .icon-normal {
  opacity: 0;
}

.icon-container:hover .icon-hover {
  opacity: 1;
}

.icon-sent {
  opacity: 0;
}

button.sent .icon-sent {
  opacity: 1;
}
button.sent .icon-normal,
button.sent .icon-hover {
  opacity: 0;
}

.writing {
  width: 90px;
  align-self: flex-start;
}

.footer {
  top: 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 300px;
  height: 90px;
  background-image: url(img/croquer.png);
  background-size: contain;
  background-repeat: no-repeat;
}

.footer-insta{
  position: relative;
  width: 30px;
  height: 43px;
  margin-top: 35px;
}

.icon-insta,
.icon-insta-hover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  transition: opacity 0.3s ease;
}

.icon-insta {
  opacity: 1;
}

.icon-insta-hover {
  opacity: 0;
}

.footer-insta:hover .icon-insta {
  opacity: 0;
}

.footer-insta:hover .icon-insta-hover {
  opacity: 1;
}

@media screen and (min-width: 768px){

    body,
  textarea,
  textarea::placeholder{
    font-size: 12px;
  }

  main{
    min-width: 450px;
    padding: 30px;
  }

  .pp{
    margin-top: 20px;
  }
    
  header{
      margin-bottom: 50px;
  }

  textarea{
      height: 150px;
  }

  .footer{
    width: 450px;
    height: 100px;
    background-size: cover;
  }

  .footer-insta{
    margin-top: 60px;
  }

}

@media screen and (min-width: 1200px){

  main{
    min-width: 600px;
  }

  header{
  width: 90px;
  }

  .footer-form {
  margin-top: 7px;
  margin-right: 5px;
}

  .writing{
    width: 115px;
  }

}